import { useEffect } from "react";

export default (paramRouter) => {
  useEffect(() => {
    const url = new URL(window.location.href);
    for (let [param, value] of url.searchParams.entries()) {
      const route = paramRouter[param];
      if (route) {
        url.searchParams.delete(param);
        window.history.replaceState({}, document.title, url.href);
        route(value);
        break;
      }
    }
  }, [paramRouter]);
}