import React from 'react';
import styled from 'styled-components';
import Game from "./components/Game";

const Wrapper = styled.div`
  height: 100%;
  width: 100%;
  display: flex;
  flex-flow: column nowrap;
  justify-content: space-between;
`

export default () => (
  <React.StrictMode>
    <Wrapper>
      <Game/>
    </Wrapper>
  </React.StrictMode>
);
